<?xml version="1.0"?>
<object name="zopyx.plone.smashdocs"
   meta_type="Dexterity FTI"
   i18n:domain="zopyx.plone.smashdocs" xmlns:i18n="http://xml.zope.org/namespaces/i18n">

  <!-- Basic metadata -->
  <property name="title" i18n:translate="">SmashDocument Folder</property>
  <property name="description"
    i18n:translate="">SmashDocument Folder</property>
  <property name="icon_expr">string:${portal_url}/++resource++zopyx.plone.smashdocs/images/folder.png</property>
  <property name="factory">zopyx.plone.smashdocs</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>

  <property name="allowed_content_types">
    <element value="SmashDocument" />
  </property>
  <property name="allow_discussion">False</property>

  <!-- schema and class used for content items -->
  <property name="schema">zopyx.plone.smashdocs.smashdocfolder.ISmashFolder</property>
  <property name="klass">zopyx.plone.smashdocs.smashdocfolder.SmashFolder</property>

  <property name="behaviors">
     <element value="plone.app.content.interfaces.INameFromTitle" />
  	 <element value="plone.app.dexterity.behaviors.metadata.IDublinCore"/>
     <element value="plone.app.dexterity.behaviors.exclfromnav.IExcludeFromNavigation"/>
   </property>

  <!-- View information -->
  <property name="link_target"></property>
  <property name="immediate_view">smashdocs-folder-view</property>
  <property name="default_view">smashdocs-folder-view</property>
  <property name="view_methods">
   <element value="smashdocs-folder-view"/>
  </property>
  <property name="default_view_fallback">False</property>
  <property name="add_permission">cmf.AddPortalContent</property>


  <!-- Method aliases -->
  <alias from="(Default)" to="(dynamic view)" />
  <alias from="view" to="(selected layout)" />
  <alias from="edit" to="@@edit" />
  <alias from="sharing" to="@@sharing" />

  <!-- Actions -->
  <action title="View" action_id="view" category="object" condition_expr=""
    url_expr="string:${object_url}/" visible="True">
    <permission value="View" />
  </action>
  <action title="Edit" action_id="edit" category="object" condition_expr=""
    url_expr="string:${object_url}/edit" visible="True">
    <permission value="Modify portal content" />
  </action>
</object>
